package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.MwfData;
import lombok.Data;

import java.util.Map;

@Data
public class MWFAILDataOut implements MwfData {

    private Map<String, Object> params;

    public MWFAILDataOut(Map<String, Object> params) {
        this.params = params;
    }

    public String getRsOurcdtype() {
        return (String) params.get("RS_OURCDTYPE");
    }

    public String getRsOuapple() {
        return (String) params.get("RS_OUAPPL");
    }

    public Long getRsOutrantyp() {
        return (Long) params.get("RS_OUTRANTYP");
    }

    public String getRsOusubtyp() {
        return (String) params.get("RS_OUSUBTYP");
    }

    public String getRsOudesc() {
        return (String) params.get("RS_OUDESC");
    }

    public String getRsOutype() {
        return (String) params.get("RS_OUTYPE");
    }

    public Long getRsOucrccnt() {
        return (Long) params.get("RS_OUCRCCNT");
    }

    public String getRsOuacct() {
        return (String) params.get("RS_OUACCT");
    }

    public String getRsOubrch() {
        return (String) params.get("RS_OUBRCH");
    }

    public String getRsOuxrel() {
        return (String) params.get("RS_OUXREL");
    }

    public String getRsOucurr() {
        return (String) params.get("RS_OUCURR");
    }

    public Double getRsOuiodl() {
        return (Double) params.get("RS_OUIODL");
    }

    public java.util.Date getRsOuopdt() {
        return (java.util.Date) params.get("RS_OUOPDT");
    }

    public String getRsOudesc1() {
        return (String) params.get("RS_OUDESC_1");
    }

    public String getRsOuemn11() {
        return (String) params.get("RS_OUEMN1_1");
    }

    public Double getRsOulpos1() {
        return (Double) params.get("RS_OULPOS_1");
    }

    public Double getRsOulatm1() {
        return (Double) params.get("RS_OULATM_1");
    }

    public String getRsOudesc2() {
        return (String) params.get("RS_OUDESC_2");
    }

    public String getRsOuenm12() {
        return (String) params.get("RS_OUENM1_2");
    }

    public Double getRsOulpos2() {
        return (Double) params.get("RS_OULPOS_2");
    }

    public Double getRsOulatm2() {
        return (Double) params.get("RS_OULPOS_2");
    }

    public String getRsOucdno2() {
        return (String) params.get("RS_OUCDNO_2");
    }

    public String getRsOucdstat2() {
        return (String) params.get("RS_OUCDSTAT_2");
    }

    public java.util.Date getRsOucexd2() {
        return (java.util.Date) params.get("RS_OUCEXD_2");
    }

    public Double getRsOulmtamts3() {
        return (Double) params.get("RS_OULMTAMTS_3");
    }

    public Long getRsOutienr3() {
        return (Long) params.get("RS_OUTIENR_3");
    }

    public java.util.Date getRsOucrtdte3() {
        return (java.util.Date) params.get("RS_OUCRTDTE_3");
    }

    public String getRsTypeufo() {
        return (String) params.get("RS_TYPEUFO");
    }

    public String getRsLogo2() {
        return (String) params.get("RS_LOGO_2");
    }

    public String getRsOuacex() {
        return (String) params.get("RS_OUACEX");
    }

    public Double getRsOuavb() {
        return (Double) params.get("RS_OUAVB");
    }

    public String getRsSpiciucet() {
        return (String) params.get("RS_SPICIUCET");
    }

    public String getRsPoplatkovyplan() {
        return (String) params.get("RS_POPLATKOVYPLAN");
    }

    public String getRsTermtv() {
        return (String) params.get("RS_TERMTV");
    }

    public String getRsNazevuctu() {
        return (String) params.get("RS_NAZEVUCTU");
    }

    public String getRsOucens() {
        return (String) params.get("RS_OUCENS");
    }

    public String getRsOucdno2Mask() {
        return (String) params.get("RS_OUCDNO_2_MASK");
    }

    public String getRsIdentifikatoructu() {
        return (String) params.get("RS_IDENTIFIKATORUCTU");
    }

    public String getRsSpravaremedialem() {
        return (String) params.get("RS_SPRAVAREMEDIALEM");
    }

}